

from urllib.request import urlopen
import json

import os

path = os.path.realpath(os.path.dirname(__file__))

class Update:
    def __init__(self):
        self.games = {}

    def update(self):
        link = 'http://api.steampowered.com/ISteamApps/GetAppList/v0002/?key=STEAMKEY&format=json'
        with urlopen(link) as data:
            file = json.load(data)['applist']['apps']
            for data in file:
                if data['name'] != '' and data['name'] not in self.games:
                    self.games[data['appid']] = data['name']


        with open(f'{path}/game.json', 'w', encoding='utf-8') as jfile:
            json.dump(self.games, jfile, ensure_ascii=False, indent=4)

